//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.Mobile.Configuration;

namespace Microsoft.Practices.Mobile.ConnectionMonitor.Configuration
{
	/// <summary>
	/// Helper class to get the connection monitor section from the configuration.
	/// </summary>
    public class ConnectionItemElement : ConfigurationElement
    {
		/// <summary>
		/// String with the connection Type.
		/// </summary>
        [ConfigurationProperty("Type", IsRequired = true)]
        public string Type
        {
            get
            {
                return (string)this["Type"];
            }
            set
            {
                this["Type"] = value;
            }
        }

		/// <summary>
		/// Numeric value with the connection price.
		/// </summary>
        [ConfigurationProperty("Price", IsRequired = true)]
        public uint Price
        {
            get
            {
                return (uint)this["Price"];
            }
            set
            {
                this["Price"] = value;
            }
        }
    }
}
