//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Practices.Mobile.DisconnectedAgent
{
	/// <summary>
	/// These EventArgs are used when a request has been enqueued
	/// </summary>
	public class RequestEnqueuedEventArgs : EventArgs
	{
		private Request request;

		/// <summary>
		/// Creates an instance of the RequestEnqueuedEventArgs
		/// </summary>
		/// <param name="request"></param>
		public RequestEnqueuedEventArgs(Request request)
		{
			this.request = request;
		}

		/// <summary>
		/// The request that has been enqueued
		/// </summary>
		public Request Request
		{
			get { return request; }
			set { request = value; }
		}
	}
}
