//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.Mobile.Configuration;

namespace Microsoft.Practices.Mobile.EndpointCatalog.Configuration
{
	/// <summary>
	/// Helper class to get the configuration element collection for endpoints.
	/// </summary>
	public class EndpointItemElementCollection : ConfigurationElementCollection
	{
		protected override ConfigurationElement CreateNewElement()
		{
			return new EndpointItemElement();
		}

		protected override object GetElementKey(ConfigurationElement element)
		{
			return ((EndpointItemElement)element).Name;
		}

		/// <summary>
		/// Gets the EndpointItemElement with the name.
		/// </summary>
		/// <param name="name">EndpointItemElement name to get.</param>
		/// <returns>Matching EndpointItemElement.</returns>
		public EndpointItemElement GetEndpoint(string name)
		{
			return (EndpointItemElement)(BaseGet(name));
		}
	}
}
