//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.Mobile.Configuration;

namespace Microsoft.Practices.Mobile.EndpointCatalog.Configuration
{
	/// <summary>
	/// Helper class 
	/// </summary>
	public class NetworkElement : ConfigurationElement
	{
		/// <summary>
		/// Name for the network.
		/// </summary>
		[ConfigurationProperty("Name", IsRequired = true, IsKey = true)]
		public string Name
		{
			get { return (string)this["Name"]; }
			set { this["Name"] = value; }
		}

		/// <summary>
		/// Address for the network.
		/// </summary>
		[ConfigurationProperty("Address", IsRequired = true)]
		public string Address
		{
			get { return (string)this["Address"]; }
			set { this["Address"] = value; }
		}

	        /// <summary>
	        /// Gets or sets AccountName for the the endpoint
	        /// </summary>
	        [ConfigurationProperty("AccountName", IsKey = false, IsRequired = false)]
	        public string AccountName
	        {
	            get { return (string)this["AccountName"]; }
	            set { this["AccountName"] = value; }
	        }

	}
}
