﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Practices.Mobile.ContainerModel;

namespace ColdBootCM
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			var container = new Container();
			container.Register<IWebApp>(
				c => new WebApp(
					c.Resolve<IAuthenticator>(),
					c.Resolve<IStockQuote>()))
				.ReusedWithin(ReuseScope.None);

			container.Register<IAuthenticator>(
				c => new Authenticator(
					c.Resolve<ILogger>(),
					c.Resolve<IErrorHandler>(),
					c.Resolve<IDatabase>()))
				.ReusedWithin(ReuseScope.None);

			container.Register<IStockQuote>(
				c => new StockQuote(
					c.Resolve<ILogger>(),
					c.Resolve<IErrorHandler>(),
					c.Resolve<IDatabase>()))
				.ReusedWithin(ReuseScope.None);

			container.Register<IDatabase>(
				c => new Database(
					c.Resolve<ILogger>(),
					c.Resolve<IErrorHandler>()))
				.ReusedWithin(ReuseScope.None);

			container.Register<IErrorHandler>(
				c => new ErrorHandler(c.Resolve<ILogger>()))
				.ReusedWithin(ReuseScope.None);

			container.Register<ILogger>(c => new Logger());

			Action action = () =>
			{
				var webApp = container.Resolve<IWebApp>();
				webApp.Run();
			};

			action();

			Close();
		}
	}
}