﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.Mobile.ObjectBuilder;

namespace ColdBootObjectBuilder
{
	public class SimpleBuilder : BuilderBase<BuilderStage>
	{
		public SimpleBuilder()
		{
			Strategies.AddNew<TypeMappingStrategy>(BuilderStage.PreCreation);
			Strategies.AddNew<ConstructorReflectionStrategy>(BuilderStage.PreCreation);
			Strategies.AddNew<CreationStrategy>(BuilderStage.Creation);

			Policies.SetDefault<ICreationPolicy>(new DefaultCreationPolicy());
		}
	}
}
