//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;

namespace Microsoft.Practices.Mobile.ObjectBuilder
{
	/// <summary>
	/// Indicates that a dependency could not be resolved.
	/// </summary>

	/*
	 * Not supported in .NET CF
	 * [Serializable]
	 */

	public class DependencyMissingException : Exception
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="DependencyMissingException"/> class.
		/// </summary>
		public DependencyMissingException()
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="DependencyMissingException"/> class
		/// using the provided message.
		/// </summary>
		/// <param name="message">Error Message</param>
		public DependencyMissingException(string message)
			: base(message)
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="DependencyMissingException"/> class
		/// using the provided message and inner exception.
		/// </summary>
		/// <param name="message">Error Message</param>
		/// <param name="exception">Inner Exception</param>
		public DependencyMissingException(string message, Exception exception)
			: base(message, exception)
		{
		}

		/*
        /// <summary>
		/// Initializes a new instance of the <see cref="DependencyMissingException"/> class
		/// using the provided deserialization information.
		/// </summary>
		
		 * Not supported in .NET CF
		 * protected DependencyMissingException(SerializationInfo info, StreamingContext context)
			: base(info, context)
			{
			}
		 */
	}
}
