//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;

namespace Microsoft.Practices.Mobile.ObjectBuilder
{
	/// <summary>
	/// Indicates that a dependency could not be resolved because the resolved type is
	/// not compatible with the injected type.
	/// </summary>

	/*
	 * Not available in .NET CF
	 * [Serializable]
	 */
	public class IncompatibleTypesException : Exception
	{
		/// <summary>
		/// Initializes the exception.
		/// </summary>
		public IncompatibleTypesException()
		{
		}

		/// <summary>
		/// Initializes the exception.
		/// </summary>
		/// <param name="message">Error Message</param>
		public IncompatibleTypesException(string message)
			: base(message)
		{
		}

		/// <summary>
		/// Initializes the exception.
		/// </summary>
		/// <param name="message">Error Message</param>
		/// <param name="exception">Inner Exception</param>
		public IncompatibleTypesException(string message, Exception exception)
			: base(message, exception)
		{
		}
        
        /*
		/// <summary>
		/// Initializes the exception.
		/// </summary>
		
		
		 * Not support in .NET CF
		protected IncompatibleTypesException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
		 */
	}
}
