//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Globalization;

namespace Microsoft.Practices.Mobile.ObjectBuilder
{
	/// <summary>
	/// Indicates that an invalid combination of dependency injection attributes were used.
	/// </summary>
	/*
	 * Not available in .NET CF
	 * [Serializable]
	 */
	public class InvalidAttributeException : Exception
	{
		/// <summary>
		/// Initializes the exception.
		/// </summary>
		public InvalidAttributeException()
		{
		}

		/// <summary>
		/// Initializes the exception.
		/// </summary>
		/// <param name="message">Error Message</param>
		public InvalidAttributeException(string message)
			: base(message)
		{
		}

		/// <summary>
		/// Initializes the exception.
		/// </summary>
		/// <param name="message">Error Message</param>
		/// <param name="exception">Inner Exception</param>
		public InvalidAttributeException(string message, Exception exception)
			: base(message, exception)
		{
		}

		/// <summary>
		/// Initializes the exception.
		/// </summary>
		/// <param name="type"></param>
		/// <param name="memberName"></param>
		public InvalidAttributeException(Type type, string memberName)
			: base(String.Format(CultureInfo.CurrentCulture, Properties.Resources.InvalidAttributeCombination, type, memberName))
		{
		}
        
        /*
		/// <summary>
		/// Initializes the exception.
		/// </summary>
		
		 * Not supported in .NET CF
		 * protected InvalidAttributeException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
		 */
	}
}
