//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

namespace Microsoft.Practices.Mobile.ObjectBuilder
{
	/// <summary>
	/// Represents an object that can configure a builder.
	/// </summary>
	/// <typeparam name="TStageEnum">The builder's stage enumeration.</typeparam>
	public interface IBuilderConfigurator<TStageEnum>
	{
		/// <summary>
		/// Applies the configuration to the builder.
		/// </summary>
		/// <param name="builder">The builder to apply the configuration to.</param>
		void ApplyConfiguration(IBuilder<TStageEnum> builder);
	}
}