//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

namespace Microsoft.Practices.Mobile.ObjectBuilder
{
	/// <summary>
	/// Implemented on a class when it wants to receive notifications
	/// about the build process.
	/// </summary>
	public interface IBuilderAware
	{
		/// <summary>
		/// Called by the <see cref="BuilderAwareStrategy"/> when the object is being built up.
		/// </summary>
		/// <param name="id">The ID of the object that was just built up.</param>
		void OnBuiltUp(string id);

		/// <summary>
		/// Called by the <see cref="BuilderAwareStrategy"/> when the object is being torn down.
		/// </summary>
		void OnTearingDown();
	}
}
