//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

namespace Microsoft.Practices.Mobile.ObjectBuilder
{
	/// <summary>
	/// Delegate signature for constructor invocations.
	/// </summary>
	public delegate object ConstructorInvokeHandler(object[] parameters);

	/// <summary>
	/// Delegate signature for method invocations.
	/// </summary>
	public delegate object MethodInvokeHandler(object target, object[] parameters);

	/// <summary>
	/// Delegate signature for the method that handles retrieval of parameters 
	/// from the context for a method invocation.
	/// </summary>
	public delegate object[] MethodParametersHandler(IBuilderContext context, string idToBuild);
}
