//===============================================================================
// Microsoft patterns & practices
// Mobile Client Software Factory - July 2006
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

namespace Microsoft.Practices.Mobile.ObjectBuilder
{
	/// <summary>
	/// Implementation of <see cref="ISingletonPolicy"/>.
	/// </summary>
	public class SingletonPolicy : ISingletonPolicy
	{
		private bool isSingleton;

		/// <summary>
		/// Constructor.
		/// </summary>
		/// <param name="isSingleton">Whether the object should be a singleton.</param>
		public SingletonPolicy(bool isSingleton)
		{
			this.isSingleton = isSingleton;
		}

		/// <summary>
		/// See <see cref="ISingletonPolicy.IsSingleton"/> for more information.
		/// </summary>
		public bool IsSingleton
		{
			get { return isSingleton; }
		}
	}
}
